Subject: Re: [PATCH 02/18] flag parameters: socket and socketpair

From: Andrew Morton <[email-masked]>
Date: Mon, 5 May 2008 20:05:00 -0700

On Mon, 05 May 2008 19:58:20 -0700 Ulrich Drepper <[email-masked]> wrote:

> Andrew Morton wrote:
> > Sorry to sound slow, but what do we gain from all this?  Your covering
> > description was heavy in references to some earlier discussion to which I
> > obviously paid little attention and now I'm lost.
> 
> What we gain is that the only change for a new flag is a new entry in
> the appropriate table.  The reference to non-sequential file descriptors
> refers to
> 
>   http://lwn.net/Articles/236724/

What I meant was "what does this whole patchset do"?  Believe it or not,
for a new reader, that is somewhat unobvious.  Perhaps one could work it out
with sufficient googling and thread-trolling.